#pragma once
#ifndef MATERIALS_H
#define MATERIALS_H

#include "Utils.h"
#include <vector>

enum MaterialType {
	SIMPLE, TEXTURE
};

struct PhongIlluminationMaterial {
	glm::vec3 color;
	float ambientStrength;
	float diffuseStrength;
	float specularStrength;
	float specularAlpha;
};

struct DirectionalLight {
	glm::vec3 intensity;
	glm::vec3 direction;
};

#endif